Bug 637789 - Anaconda doen't install xfsprogs
Summary: Anaconda doen't install xfsprogs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: RHEL Product and Program Management
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-27 12:48 UTC by Kamil Kolakowski
Modified: 2010-11-28 23:09 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-28 23:06:50 UTC


Attachments (Terms of Use)
anaconda-ks.cfg (8.39 KB, application/octet-stream)
2010-09-27 13:24 UTC, Kamil Kolakowski
no flags Details
xml with kick start (3.14 KB, text/xml)
2010-09-27 13:25 UTC, Kamil Kolakowski
no flags Details
anaconda.log (36.30 KB, application/octet-stream)
2010-09-29 10:02 UTC, Kamil Kolakowski
no flags Details
install.log (21.61 KB, application/octet-stream)
2010-09-29 10:04 UTC, Kamil Kolakowski
no flags Details

Description Kamil Kolakowski 2010-09-27 12:48:40 UTC
Description of problem:
I have kick start in my xml for beaker. In there are described which package I want to install. I have there xfsprogs to install. It isn't installed even in /root/anaconda-ks.cfg there is xfsprogs. 

Version-Release number of selected component (if applicable):
RHEL6.0-20100909.1

How reproducible:
Install RHEL using kick start file.

Comment 2 Kamil Kolakowski 2010-09-27 13:24:30 UTC
Created attachment 449889 [details]
anaconda-ks.cfg

Comment 3 Kamil Kolakowski 2010-09-27 13:25:56 UTC
Created attachment 449891 [details]
xml with kick start

Comment 4 Chris Lumens 2010-09-27 20:16:16 UTC
Please attach /var/log/anaconda.log and /root/install.log from the installed system to this bug report.  Thanks.

Comment 5 Kamil Kolakowski 2010-09-29 10:02:38 UTC
Created attachment 450430 [details]
anaconda.log

Comment 6 Kamil Kolakowski 2010-09-29 10:04:21 UTC
Created attachment 450431 [details]
install.log

Comment 7 Chris Lumens 2010-09-29 14:11:54 UTC
Looks like xfsprogs is not in the repo metadata anywhere, so yum/kickstart was unable to select it for installation.

Comment 8 Kamil Kolakowski 2010-09-29 14:43:52 UTC
Hi Chris,

xfsprogs is in repo! After installation (without customisation repository) I successfully installed xfsprogs with command yum -y install xfsprogs.

Kamil

Comment 9 Akemi Yagi 2010-11-27 18:41:22 UTC
Kamil,

I cannot find xfsprogs/xfsdump binaries anywhere. I do see the srpms at ftp.redhat.com. Here's the repolist of my system:

rhel-x86_64-server-6                   Red Hat Enterprise Linux Server (v. 6 for 64- enabled: 3,560
rhel-x86_64-server-fastrack-6          RHEL Server FasTrack (v. 6 64-bit x86_64)     enabled:     0
rhel-x86_64-server-optional-6          RHEL Server Optional (v. 6 64-bit x86_64)     enabled: 2,672
rhel-x86_64-server-optional-fastrack-6 RHEL Server Optional FasTrack (v. 6 64-bit x8 enabled:     0
rhel-x86_64-server-supplementary-6     RHEL Server Supplementary (v. 6 64-bit x86_64 enabled:    37

Comment 10 Daniel Riek 2010-11-28 21:26:00 UTC
xfsprogs is in the Scalable File System Add-On (http://www.redhat.com/rhel/add-ons/scalable_file_system.html)

however it should be installable and listed in the comps file.

Comment 11 Daniel Riek 2010-11-28 21:27:27 UTC
NOTE: Bugzilla is not a support tool

The Bugzilla interface at bugzilla.redhat.com is used internally by Red
Hat to process changes e.g. to Red Hat Enterprise Linux and related
products, as well as by the Fedora Community to develop the Fedora
Project.

It is publicly available and everyone with an email address is able to
create an account, file bugs, comment on bugs she or he has access to.
Not all bugs are public though and not all issues filed are handled in
the same way: it makes a huge difference who is behind a bug.

Red Hat does monitor Bugzilla entries, and it does review them for
inclusion in errata, etc.

Nevertheless, as noted on the login page, Bugzilla is not a Support
tool. It is an Engineering tool. It is used by Red Hat Engineering to
track issues and product changes, as well as to interact with Egineering
partners and other parties external to Red Hat on a technical level.

So while all changes to Red Hat Enterprise Linux will at a point go
through Bugzilla, this difference has a number of important consequences
for general product issues filed directly through Bugzilla by external
users without any privileged Engineering relationship:

    * Red Hat does NOT guarantee any response time or Service Level
Agreement (SLA) for Bugzilla entries. - A review might happen
immediately or after a time span of any length. The SLAs for Red Hat
Enterprise Linux provided by Red Hat Support can be found at:
https://www.redhat.com/support/policy/sla/production/

    * Not all comments are publicly visible. - Red Hat Support provides
customers with appropriate information excerpts and status updates from
that. Red Hat does not commit to provide detailed explanations, or
guidance in the context of Bugzilla. Therefore for example, Bugzilla
entries might be closed as it seems without any further explanation,
while Red Hat Support actually provides such explanation to customers
filing through the regular support channels.

    * Issues coming through the regular support process, will always be
prioritized higher than issues of similar impact and severity that are
being filed directly through Bugzilla (unless the later get linked to
customer support tickets). This means that they are more likely to be 
addressed and they are more likely to meet inclusion criteria 
consistent with the Red Hat Enterprise Linux life cycle policy:
http://www.redhat.com/security/updates/errata/

    * Work-arounds and Hotfixes if possible and appropriate are provided
by Red Hat Support and through the regular support process. - This means
that even before a permanent fix is made available through RHN, customers
who raised a high severity issue through Red Hat Support, are likely to
receive an interim solution.

Red Hat provides common Bugzilla access in order provide efficient
development community interaction and as much transparency as possible
to our customers. Our Engineers are encouraged to provide non-customer
specific and non-confidential information publicly as often as possible.

So while Red Hat considers issues directly entered into Bugzilla
valuable feedback - may it be as comments to existing Bugzilla entries
or by opening a new one; for customers encountering production issues,
Bugzilla is not the right channel.

Therefore we ask our customers to file requests important for their
production systems via our Support service. Only for those issues, we
can ensure a consistent communication. Information about our production
support process can be found at: http://www.redhat.com/support/process/

Bugzilla can always be used as a supportive channel to that
communication.

Note: If your customer is participating in the Academic program and has
chosen to run a Subscription without support, they consequently have no
access to Red Hat Support and thus no SLA. If you feel that this is
insufficient for your use case, you should consider contacting the Red
Hat Education specialist as described at:
http://www.redhat.com/solutions/education/academic/individual/

Comment 12 Daniel Riek 2010-11-28 23:06:50 UTC
I just verified, that xfsprogs actually is installed if the Large Filesystem / Scalable File System repository is selected in Anaconda.


Note You need to log in before you can comment on or make changes to this bug.